module Text.Blaze.Markdown where

import Data.Text                    (pack)
import Text.Blaze.Extra
import Text.Blaze.Html5             as H hiding (map)
import Text.Blaze.Html5.Attributes  as A hiding (form,span,cite)
import Text.Pandoc.Parsing
import Text.Pandoc.Readers.Markdown
import Text.Pandoc.Shared
import Text.Pandoc.Writers.HTML

-- | Convert a markdown string to blaze html.
markdownToHtml :: String -> Html
markdownToHtml =
  preEscapedText . pack . markdownToHtmlString

-- | Convert a markdown string to html string.
markdownToHtmlString :: String -> String
markdownToHtmlString =
  writeHtmlString defaultWriterOptions . readMarkdown defaultParserState
